Bug 2245462 - [abrt] zsh: deletefilelist(): zsh killed by SIGSEGV
Summary: [abrt] zsh: deletefilelist(): zsh killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 39
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Zaoral
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3020e1ec2779b531c3f1311c3ab...
: 2192485 2232341 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-21 18:14 UTC by Maximilian Hofmann
Modified: 2024-02-20 12:06 UTC (History)
9 users (show)

Fixed In Version: zsh-5.9-12.fc40 zsh-5.9-8.fc38 zsh-5.9-9.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-17 14:03:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.43 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: maps (3.99 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: limits (1.29 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: environ (1.75 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: open_fds (417 bytes, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: mountinfo (3.12 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: os_info (734 bytes, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: cpuinfo (3.06 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: core_backtrace (29.97 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: exploitable (81 bytes, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: dso_list (655 bytes, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details
File: backtrace (29.60 KB, text/plain)
2023-10-21 18:14 UTC, Maximilian Hofmann
no flags Details

Description Maximilian Hofmann 2023-10-21 18:14:06 UTC
Description of problem:
I opened my terminal and changed the directory to ~/Documents/Coding/Projects.
After running this command, the error got reported to me.

Version-Release number of selected component:
zsh-5.9-8.fc39

Additional info:
reporter:       libreport-2.17.11
type:           CCpp
reason:         zsh killed by SIGSEGV
journald_cursor: s=e68587d7007e45bea6bc44e84ee31133;i=45d87c7;b=47b023a33995495e9e6d80d3c7189b0c;m=1f6ca55f9;t=6083de48adfec;x=92410cec4940bf7c
executable:     /usr/bin/zsh
cmdline:        zsh
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-org.gnome.Terminal.slice/vte-spawn-5b4af156-2810-46cf-969c-fd5fc070b742.scope
rootdir:        /
uid:            1000
kernel:         6.5.6-300.fc39.x86_64
package:        zsh-5.9-8.fc39
runlevel:       N 5
backtrace_rating: 4
crash_function: deletefilelist

Truncated backtrace:
Thread no. 1 (28 frames)
 #0 deletefilelist at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/jobs.c:1355
 #2 deletejob at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/jobs.c:1440
 #3 printjob at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/jobs.c:1150
 #4 update_job at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/jobs.c:624
 #6 wait_for_processes at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/signals.c:562
 #7 zhandler at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/signals.c:649
 #8 execcmd_exec at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:3960
 #9 execpline2 at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1960
 #10 execpline at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1689
 #11 execlist at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1444
 #12 execode at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1221
 #13 runshfunc at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:6068
 #14 doshfunc at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:5918
 #15 execshfunc.part.0.lto_priv.0 at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:5487
 #16 execshfunc at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:5453
 #17 execcmd_exec at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:4019
 #18 execpline2 at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1960
 #19 execpline at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1689
 #20 execlist at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1444
 #21 execode at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/exec.c:1221
 #22 dotrapargs at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/signals.c:1383
 #23 dotrap at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/signals.c:1489
 #24 update_job at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/jobs.c:629
 #26 wait_for_processes at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/signals.c:562
 #27 zhandler at /usr/src/debug/zsh-5.9-8.fc39.x86_64/Src/signals.c:649
 #29 __do_global_dtors_aux
 #30 ??
 #31 _dl_call_fini at dl-call_fini.c:43


Potential duplicate: bug 2232341

Comment 1 Maximilian Hofmann 2023-10-21 18:14:09 UTC
Created attachment 1995020 [details]
File: proc_pid_status

Comment 2 Maximilian Hofmann 2023-10-21 18:14:11 UTC
Created attachment 1995021 [details]
File: maps

Comment 3 Maximilian Hofmann 2023-10-21 18:14:12 UTC
Created attachment 1995022 [details]
File: limits

Comment 4 Maximilian Hofmann 2023-10-21 18:14:14 UTC
Created attachment 1995023 [details]
File: environ

Comment 5 Maximilian Hofmann 2023-10-21 18:14:15 UTC
Created attachment 1995024 [details]
File: open_fds

Comment 6 Maximilian Hofmann 2023-10-21 18:14:17 UTC
Created attachment 1995025 [details]
File: mountinfo

Comment 7 Maximilian Hofmann 2023-10-21 18:14:19 UTC
Created attachment 1995026 [details]
File: os_info

Comment 8 Maximilian Hofmann 2023-10-21 18:14:21 UTC
Created attachment 1995027 [details]
File: cpuinfo

Comment 9 Maximilian Hofmann 2023-10-21 18:14:23 UTC
Created attachment 1995028 [details]
File: core_backtrace

Comment 10 Maximilian Hofmann 2023-10-21 18:14:24 UTC
Created attachment 1995029 [details]
File: exploitable

Comment 11 Maximilian Hofmann 2023-10-21 18:14:26 UTC
Created attachment 1995030 [details]
File: dso_list

Comment 12 Maximilian Hofmann 2023-10-21 18:14:27 UTC
Created attachment 1995031 [details]
File: backtrace

Comment 13 Lukáš Zaoral 2023-10-26 17:18:38 UTC
*** Bug 2232341 has been marked as a duplicate of this bug. ***

Comment 14 Lukáš Zaoral 2024-01-17 13:00:58 UTC
The issue should be fixed by the following upstream commit: https://sourceforge.net/p/zsh/code/ci/d3edf318306e37d2d96c4e4ea442d10207722e94/

Comment 15 Fedora Update System 2024-01-17 14:01:59 UTC
FEDORA-2024-55c9875a14 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-55c9875a14

Comment 16 Fedora Update System 2024-01-17 14:03:26 UTC
FEDORA-2024-55c9875a14 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2024-01-17 14:08:01 UTC
FEDORA-2024-a7cc153c47 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-a7cc153c47

Comment 18 Fedora Update System 2024-01-17 14:08:02 UTC
FEDORA-2024-c433dca8de has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-c433dca8de

Comment 19 Fedora Update System 2024-01-18 02:11:24 UTC
FEDORA-2024-a7cc153c47 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-a7cc153c47`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-a7cc153c47

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2024-01-19 01:39:52 UTC
FEDORA-2024-c433dca8de has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-c433dca8de`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-c433dca8de

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2024-01-26 00:42:31 UTC
FEDORA-2024-a7cc153c47 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2024-01-27 01:28:05 UTC
FEDORA-2024-c433dca8de has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Lukáš Zaoral 2024-02-20 12:06:32 UTC
*** Bug 2192485 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.